#This is the configuration file for the BigDFT installer
#This is a python script which is executed by the build suite 
 
#Add the condition testing to run tests and includes PyYaml
conditions.add("testing")
#List the module the this rcfile will build
moduleset = 'bigdft'
modules = ['spred',]
#example of the potentialities of the python syntax in this file
def env_configuration():
    return """"FC=mpif90" "FCFLAGS=-O2 -openmp -I${MKLROOT}/include" "--with-ext-linalg=-L${MKLROOT}/lib/intel64 -lmkl_intel_lp64 -lmkl_core -lmkl_intel_thread -lpthread -lm" "CC=icc" "CXX=icpc" "F77=ifort" """
def shrt_configuration():
    return """"FC=ifort" "FCFLAGS=-O2" "CC=icc" "CXX=icpc" "F77=ifort" """


#here follow the configuration instructions for the modules built
autogenargs = env_configuration()
module_autogenargs['libyaml'] = shrt_configuration()
module_autogenargs['libxc'] = shrt_configuration()
module_autogenargs['GaIn'] = shrt_configuration()
module_autogenargs['psolver'] = 'FC=mpif90 FCFLAGS="-O2 -openmp -fpe0 -traceback -g -C" -with-ext-linalg="-mkl=parallel" -with-ext-blas="-mkl=parallel"'
